package com.warmer.web.service;

import com.warmer.web.model.CustomDictEntry;

import java.util.List;

public interface CustomDictService {
    void loadAllToHanLPIfNeeded();
    void refreshDomainToHanLP(String domain);
    List<CustomDictEntry> list(String domain, Integer enabled);
    boolean addWord(String word, String nature, Integer freq, String domain, String source);
    boolean disable(Integer id);
    boolean exists(String word, String domain);
}